org.deidentifier.arx.gui.model

## Enum ModelRisk.RiskModelForAttributes

- java.lang.Object
- - java.lang.Enum<ModelRisk.RiskModelForAttributes>
  - - org.deidentifier.arx.gui.model.ModelRisk.RiskModelForAttributes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModelRisk.RiskModelForAttributes>

Enclosing class:
  ModelRisk

    public static enum ModelRisk.RiskModelForAttributes
    extends java.lang.Enum<ModelRisk.RiskModelForAttributes>

A enum for statistical models underlying attribute analyses

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`POPULATION_UNIQUENESS_DANKAR`
`POPULATION_UNIQUENESS_PITMAN`
`POPULATION_UNIQUENESS_SNB`
`POPULATION_UNIQUENESS_ZAYATZ`
`SAMPLE_UNIQUENESS`

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelRisk.RiskModelForAttributes` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelRisk.RiskModelForAttributes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SAMPLE_UNIQUENESS

    public static final ModelRisk.RiskModelForAttributes SAMPLE_UNIQUENESS

#### POPULATION_UNIQUENESS_PITMAN

    public static final ModelRisk.RiskModelForAttributes POPULATION_UNIQUENESS_PITMAN

#### POPULATION_UNIQUENESS_ZAYATZ

    public static final ModelRisk.RiskModelForAttributes POPULATION_UNIQUENESS_ZAYATZ

#### POPULATION_UNIQUENESS_DANKAR

    public static final ModelRisk.RiskModelForAttributes POPULATION_UNIQUENESS_DANKAR

#### POPULATION_UNIQUENESS_SNB

    public static final ModelRisk.RiskModelForAttributes POPULATION_UNIQUENESS_SNB

### Method Detail

#### values

    public static ModelRisk.RiskModelForAttributes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelRisk.RiskModelForAttributes c : ModelRisk.RiskModelForAttributes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelRisk.RiskModelForAttributes valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null